## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLWordDetector

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLWordDetector

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IWordDetector

    public class SQLWordDetector

extends java.lang.Object
implements org.eclipse.jface.text.rules.IWordDetector

Constructor Summary
`SQLWordDetector()` Constructor.

Method Summary
`boolean` `isWordPart(char c)` Returns whether the specified character is valid as a subsequent character in a word.
`boolean` `isWordStart(char c)` Returns whether the specified character is valid as the first character in a word.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLWordDetector

    public SQLWordDetector()

  Constructor.

Method Detail

### isWordPart

    public boolean isWordPart(char c)

  Returns whether the specified character is valid as a subsequent character in a word.

  Specified by:
    `isWordPart` in interface `org.eclipse.jface.text.rules.IWordDetector`

### isWordStart

    public boolean isWordStart(char c)

  Returns whether the specified character is valid as the first character in a word.

  Specified by:
    `isWordStart` in interface `org.eclipse.jface.text.rules.IWordDetector`